org.apache.ode.bpel.compiler.bom

## Enum PartnerLinkVal.EndpointReference

- java.lang.Object
- - java.lang.Enum<PartnerLinkVal.EndpointReference>
  - - org.apache.ode.bpel.compiler.bom.PartnerLinkVal.EndpointReference

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<PartnerLinkVal.EndpointReference>
  Enclosing class:
    PartnerLinkVal

      public static enum PartnerLinkVal.EndpointReference
      extends java.lang.Enum<PartnerLinkVal.EndpointReference>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `MYROLE`
    `PARTNERROLE`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static PartnerLinkVal.EndpointReference` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static PartnerLinkVal.EndpointReference[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### MYROLE

          public static final PartnerLinkVal.EndpointReference MYROLE

    - #### PARTNERROLE

          public static final PartnerLinkVal.EndpointReference PARTNERROLE

  - ### Method Detail

    - #### values

          public static PartnerLinkVal.EndpointReference[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (PartnerLinkVal.EndpointReference c : PartnerLinkVal.EndpointReference.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static PartnerLinkVal.EndpointReference valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null